Package: org.gradle.nativeplatform

## [Java] Interface TargetedNativeComponent

- org.gradle.nativeplatform.TargetedNativeComponent

- All Superinterfaces:
    ComponentSpec, PlatformAwareComponentSpec

  A native component that can be configured to target certain variant dimensions. This functionality is a temporary workaround to eliminate configuration of unnecessary domain objects and tasks.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `targetBuildTypes(String... platformSelectors)` Specifies the names of one or more BuildTypes that this component should be built for.
    `void` | `targetFlavors(String... flavorSelectors)` Specifies the names of one or more Flavors that this component should be built for.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface PlatformAwareComponentSpec` | `targetPlatform`
    `interface ComponentSpec` | `binaries, getBinaries, getDisplayName, getProjectPath, getSource, getSources, sources`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public void targetBuildTypes(String... platformSelectors)

      Specifies the names of one or more BuildTypes that this component should be built for.

    - #### public void targetFlavors(String... flavorSelectors)

      Specifies the names of one or more Flavors that this component should be built for.